## com.gargoylesoftware.htmlunit
Class PluginConfiguration.MimeType

    java.lang.Object
      com.gargoylesoftware.htmlunit.PluginConfiguration.MimeType

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  PluginConfiguration

    public static class PluginConfiguration.MimeType

extends java.lang.Object
implements java.io.Serializable

Holds information about a single mime type associated with a plugin.

See Also:
  Serialized Form

Constructor Summary
`PluginConfiguration.MimeType(java.lang.String type, java.lang.String description, java.lang.String suffixes)` Creates a new instance.

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getDescription()` Returns the mime type's description.
`java.lang.String` `getSuffixes()` Returns the mime type's suffixes.
`java.lang.String` `getType()` Returns the mime type.
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginConfiguration.MimeType

    public PluginConfiguration.MimeType(java.lang.String type,
                                        java.lang.String description,
                                        java.lang.String suffixes)

  Creates a new instance.

  Parameters:
    `type` - the mime type
    `description` - the type description
    `suffixes` - the file suffixes

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns the mime type's description.

  Returns:
    the description

### getSuffixes

    public java.lang.String getSuffixes()

  Returns the mime type's suffixes.

  Returns:
    the suffixes

### getType

    public java.lang.String getType()

  Returns the mime type.

  Returns:
    the type

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.